Skip to main content
`Ctrl`+`K`

# PetscFESetFromOptions

sets parameters in a `PetscFE` from the options database

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFESetFromOptions(PetscFE fem)

Collective

## Input Parameter

- fem - the `PetscFE` object to set options for

## Options Database Keys

- -petscfe_num_blocks - the number of cell blocks to integrate concurrently

- -petscfe_num_batches - the number of cell batches to integrate serially

## See Also

`PetscFE`, `PetscFEView()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

## Examples

src/dm/impls/swarm/tutorials/ex1.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages